scala
class Some

[source: `scala/Some.scala`]

`case final` `class` Some[+A](`val` x : A)
  `extends` Option[A]

  Class `Some[A]` represents existing values of type `A`.

Author
  Martin Odersky
Version
  1.0, 16/07/2003

Method Summary
`override def` | equals (arg0 : Any) : Boolean
`def` | get : A get the value of this option. @requires that the option is nonEmpty.
`override def` | hashCode : Int
`def` | isEmpty : Boolean True if the option is the `None` value, false otherwise.
`override final def` | productArity : Int return k for a product `A(x_1,...,x_k))`
`override final def` | productElement (arg0 : Int) : Any for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`
`override final def` | productPrefix : String By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.
`override def` | toString : String

Methods inherited from Option
isDefined, get, getOrElse, map, flatMap, filter, foreach, orElse, elements, toList

Methods inherited from Product
element, arity

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`` `def` isEmpty : Boolean

  True if the option is the `None` value, false otherwise.

Overrides
  Option.isEmpty

`` `def` get : A

  get the value of this option. @requires that the option is nonEmpty.

Throws
  Predef.NoSuchElementException - if the option is empty.

Overrides
  Option.get

`override` `def` hashCode : Int

`override` `def` toString : String

`override` `def` equals(arg0 : Any) : Boolean

`override final` `def` productPrefix : String

  By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.

`override final` `def` productArity : Int

  return k for a product `A(x_1,...,x_k))`

`override final` `def` productElement(arg0 : Int) : Any

  for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`

Parameters
  `n -` the position of the n-th element
Throws
  `IndexOutOfBoundsException -`
Returns
  ...